selinux_getenforcemode(3)

NAME
selinux_getenforcemode - get the enforcing state of SELinux

SYNOPSIS
#include <selinux/selinux.h>

int selinux_getenforcemode(int *enforce);

DESCRIPTION
selinux_getenforcemode() Reads the contents of the /etc/selinux/config file to determine how the system was setup to run SELinux.

Sets the value of enforce to 1 if SELinux should be run in enforcing mode. Sets the value of enforce to 0 if SELinux should be run in permissive mode. Sets the value of enforce to -1 if SELinux should be disabled.

RETURN VALUE
On success, zero is returned. On failure, -1 is returned.

SEE ALSO
selinux(8)